image: Visual Studio 2017

platform:
  - x64

artifacts:
  - path: build\win-unpacked
    name: painel-web-$(appveyor_build_version)-x64-win
    type: zip

cache:
  - node_modules
  - '%APPDATA%\npm-cache'
  - '%USERPROFILE%\.electron'
  - '%USERPROFILE%\AppData\Local\Yarn\cache'

init:
  - git config --global core.autocrlf input

install:
  - ps: Install-Product node 8 x64
  - git reset --hard HEAD
  - yarn
  - node --version

build_script:
  - yarn run build

test: off

#deploy:
#  description: "Painel Web $(appveyor_build_version)"
#  provider: GitHub
#  draft: true
#  prerelease: true
#  auth_token:
#    secure: jAoBlzSLWDwiDEs7yaPJHvPr3rzz1+lyZw5n4XQfdQayg3qbWWGq+44+zOLyodha
#  artifact: "build\\painel-web-$(appveyor_build_version)-x64-win.zip"
#  on:
#    appveyor_repo_tag: true
